package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.expandassess.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ExpandAssess extends CoreBillBase implements IExpandAssess
{
    public ExpandAssess()
    {
        super();
        registerInterface(IExpandAssess.class, this);
    }
    public ExpandAssess(Context ctx)
    {
        super(ctx);
        registerInterface(IExpandAssess.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("41A2B9E3");
    }
    private ExpandAssessController getController() throws BOSException
    {
        return (ExpandAssessController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ExpandAssessCollection getExpandAssessCollection() throws BOSException
    {
        try {
            return getController().getExpandAssessCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ExpandAssessCollection getExpandAssessCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getExpandAssessCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ExpandAssessCollection getExpandAssessCollection(String oql) throws BOSException
    {
        try {
            return getController().getExpandAssessCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ExpandAssessInfo getExpandAssessInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getExpandAssessInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ExpandAssessInfo getExpandAssessInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getExpandAssessInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ExpandAssessInfo getExpandAssessInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getExpandAssessInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *启动考核-User defined method
     *@param billId 单据ID
     */
    public void startCheck(String billId) throws BOSException
    {
        try {
            getController().startCheck(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *关闭考核-User defined method
     *@param billId 单据ID
     */
    public void closeCheck(String billId) throws BOSException
    {
        try {
            getController().closeCheck(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *锁定周期-User defined method
     *@param billId 单据ID
     */
    public void lock(String billId) throws BOSException, EASBizException
    {
        try {
            getController().lock(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *解除周期-User defined method
     *@param billId 单据ID
     */
    public void unlock(String billId) throws BOSException, EASBizException
    {
        try {
            getController().unlock(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}